## debian-installer 20110106+squeeze3

=== debian/changelog ===
debian-installer (20110106+squeeze3) squeeze; urgency=high

  * Rebuild against updated linux-kernel-di-*-2.6, adding drivers
    hpsa, pm8001 and bna.

 -- dann frazier <dannf@debian.org>  Wed, 22 Jun 2011 07:35:38 -0600

debian-installer (20110106+squeeze2) squeeze; urgency=high

  * Add pata-modules to cdrom config for ia64. Closes: #622187

 -- dann frazier <dannf@debian.org>  Fri, 17 Jun 2011 14:53:19 -0600

debian-installer (20110106+squeeze1) squeeze; urgency=low

  [ Jurij Smakov ]
  * Add pata-modules to cdrom config for sparc and sparc64.
    Closes: #610906.

  [ Martin Michlmayr ]
  * qnap-flash-debian: recognize QNAP TS-x12 devices.
  * lspro-config-debian: Exit if the firmware version cannot be
    determined.  Thanks John Bytheway.  Closes: #609476

 -- Julien Cristau <jcristau@debian.org>  Sun, 13 Mar 2011 21:31:36 +0100

debian-installer (20110106) unstable; urgency=low

  * Use SpaceFun theme. Closes #603554.
  * Update Linux kernel to 2.6.32-29.

 -- Otavio Salvador <otavio@debian.org>  Thu, 06 Jan 2011 09:37:41 -0200

debian-installer (20101127) unstable; urgency=low

  [ Christian Perrier ]
  * Add pata-modules to powerpc builds to properly support
    YDL Powerstation. Thanks to Milan Kupcevic. Closes: #603893
  * Add ttf-lao-udeb to graphical installer to properly support the Lao
    language

 -- Otavio Salvador <otavio@debian.org>  Sat, 27 Nov 2010 15:18:28 -0200

debian-installer (20101121) unstable; urgency=low

  [ Otavio Salvador ]
  * Enable localudebs usage again since #600852 has been fixed.
  * Add VCS-Browser field to debian.control. Closes: #601908

  [ Martin Michlmayr ]
  * LS Pro: /boot can be ext3 too.  Thanks Ryan Tandy.

  [ Otavio Salvador ]
  * Update Linux kernel udebs for 2.6.32-27.
  * sparc/sparc64: put input-modules into initrd. Closes: #602740

  [ Colin Watson ]
  * geniso_hybrid_plus_firmware_partition: Cope if the disk size exceeds
    32MB.  (The previous code seems to have misunderstood isohybrid's
    defaults slightly, but we now just specify the full CHS geometry
    explicitly in case anything changes in the future.)

  [ Christian Perrier ]
  * Add ttf-sinhala-lklug-udeb to graphical installer to properly
    support the Sinhala language

  [ Otavio Salvador ]
  * Document SPLASH_PNG variable for build configuration.

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Nov 2010 15:53:25 -0200
