=== debian/changelog ===
debian-installer (20110106+squeeze4) squeeze; urgency=low

  [ Joey Hess ]
  * Adjust syslinux menu layout to avoid it falling off the bottom of the
    screen. Thanks, Flavio Stanchina. Closes: #650979

  [ dann frazier ]
  * Rebuild against updated dependencies, including:
     - linux-kernel-di-*-2.6: adding drivers et131x, isci, xhci-hcd
     - base-installer: adds POWER7 to the powerpc64 family
     - libdebian-installer: detect IBM pSeries platform as powerpc/chrp_ibm
  
 -- dann frazier <dannf@debian.org>  Sun, 22 Jan 2012 10:36:33 -0700
