## debian-installer 20130430

=== debian/changelog ===
debian-installer (20130430) unstable; urgency=low

  [ Aurelien Jarno ]
  * Include virtio-modules in sparc and sparc64 netboot images (Closes: #704672).

 -- Cyril Brulebois <kibi@debian.org>  Tue, 30 Apr 2013 23:10:12 +0200

debian-installer (20130415) unstable; urgency=low

  [ Aurelien Jarno ]
  * Include nic-modules in armhf/vexpress netboot image.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 15 Apr 2013 20:35:44 +0200

debian-installer (20130412) unstable; urgency=low

  [ Samuel Thibault ]
  * internal.xml: Point at the repository README instead of duplicating
    checkout information.

  [ Ben Hutchings ]
  * Include {ata,mtd,pata,sata}-modules in mx5 netboot image (Closes: #675017)
  * Replace nic-modules with nic-{usb,wireless}-modules in armhf netboot
    images (Closes: #705118)

  [ Cyril Brulebois ]
  * Amend previous changelog entry to mention that the added vexpress
    image is a netboot one.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 12 Apr 2013 17:39:04 +0200

debian-installer (20130409) unstable; urgency=low

  [ Aurelien Jarno ]
  * Build a netboot vexpress image on armhf.

  [ Christian Perrier ]
  * Update translation-status, computed with a fixed calc-release-status
    script.

  [ Cyril Brulebois ]
  * For reference, build against linux 3.2.41-2.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 09 Apr 2013 16:45:49 +0200

debian-installer (20130211) unstable; urgency=low

  [ Joey Hess ]
  * When building with localudebs, only disable secure apt checking for that
    repository, while keeping it working for network repositories,
    by using [trusted=yes] in sources.list.udeb. Closes: #696168

  [ Wouter Verhelst ]
  * Bring m68k back from the dead:
    - Use current kernel versions.
    - Point to debian-ports.org for now.
    - s/atari-ekmap/ataritt-ekmap/, since the former packages don't exist.

  [ Cyril Brulebois ]
  * Apply patch from Steven Chamberlain (thanks!) to fix PXE configuration
    on kfreebsd-* for the netboot-9 images: build/config/kfreebsd.cfg is
    now responsible for generating proper entries based on the
    build/boot/kfreebsd/grub-kfreebsd-pxe.cfg template. Closes: #696780
  * Update translation-status for d-i wheezy rc1.

  [ Steven Chamberlain ]
  * Decrease kfreebsd-amd64's MFSROOT_LIMIT to 72MiB, to allow 128MiB-memory
    installation (Closes: #696786).

  [ Steve McIntyre ]
  * Tweak EFI video setup at boot time:
    - Try 800x600 as the default EFI video mode, some machines don't do
      640x480

 -- Cyril Brulebois <kibi@debian.org>  Mon, 11 Feb 2013 22:26:19 +0100

debian-installer (20121114) unstable; urgency=low

  [ Philipp Kern ]
  * Update to 3.2.0-4 linux ABI.

  [ Samuel Thibault ]
  * Reduce "1GiB key" images to just below 1GB.

  [ Cyril Brulebois ]
  * Apply patch from Arnaud Patard to include Hyper-V linux kernel udebs
    on cdrom and netboot images for am64 and i386 (Closes: #690978). This
    is needed after a kernel change on the ata_piix side (cd006086fa in
    mainline).

 -- Cyril Brulebois <kibi@debian.org>  Wed, 14 Nov 2012 14:56:37 +0100

debian-installer (20120930) unstable; urgency=low

  [ Samuel Thibault ]
  * Drop outdated documentation about brltty.
  * Add console-setup-linux-fonts-udeb to speakup-enabled images
    (closes: #684473).
  * Document that new languages need to specify a console-setup font name to
    be loaded.
  * Pull netdde-udeb instead of nic-modules on hurd-i386, the former providing
    the latter does not seem enough.

  [ Cyril Brulebois ]
  * Apply patch from Paul Tagliamonte, updating the Joy pictures to use
    the correct brand; the Debian logo is now DFSG free.
  * When SPLASH_PNG is set, search for a matching SPLASH_SVG; if it's
    found, call rsvg-convert to generate the PNG file. Clean those on
    reallyclean. Add librsvg2-bin build-dep for rsvg-convert, restricted
    to any-{amd64,i386} (splash is used on x86, kfreebsd, and hurd).
  * Remove build/boot/{x86,kfreebsd,hurd}/pics/joy-hurd.png accordingly.
  * Fix broken kfreebsd-9 CD gtk install menuentry (add gtk/), thanks to
    Steven Chamberlain (Closes: #686858).
  * Bump MFSROOT_LIMIT from 64m to 128m for kfreebsd-amd64, thanks to Steven
    Chamberlain (Closes: #686861).
  * Add myself to Uploaders.

  [ Aurelien Jarno ]
  * Install wheezy by default instead of sid on armhf and s390x.

  [ Steve McIntyre ]
  * Add EFI support:
    - Add code to create bootable EFI images.
    - Add definitions for amd64 and i386 (disabled for the latter).
    - Add grub-efi.cfg
    - Add build-deps: grub-efi-{amd64,i386}-bin, grub-common, xorriso.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 30 Sep 2012 06:33:54 +0200

debian-installer (20120828) unstable; urgency=low

  [ Cyril Brulebois ]
  * Team upload.

  [ Robert Millan ]
  * Bump kFreeBSD ABI.

  [ Julien Cristau ]
  * Switch from module-init-tools-udeb to libkmod2-udeb (closes: #683790)
  * Don't remove modules.{dep,alias}.bin from /lib/modules/*, without them
    kmod doesn't load any module.  Instead remove the non-.bin files, which
    aren't necessary.  Thanks to Didier Raboud for the report and help.

  [ Didier Raboud ]
  * Fix typo in the fix for the kfreebsd empty line in Grub.
    (Closes: #680850)

  [ Ian Campbell ]
  * Add netboot images for kirkwood/dreamplug platform.

  [ Samuel Thibault ]
  * Fix gnu-mach-color terminfo into mach-gnu-color.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 28 Aug 2012 09:44:42 +0200

debian-installer (20120712) unstable; urgency=low

  [ Cyril Brulebois ]
  * Team upload.

  [ Julien Cristau ]
  * Update to 3.2.0-3 linux ABI.
  * Follow symlinks when generating checksum files, so the guruplug paths are
    included.  Thanks, Didier Raboud.

  [ Didier Raboud ]
  * Switch the boot backgrounds to the Wheezy joy theme.

  [ Steven Chamberlain ]
  * Fix the place of the kfreebsd empty line in Grub (Closes: #680850).

  [ Samuel Thibault ]
  * Add console-setup-udeb to hurd-i386.


