=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 TRANSSTATUS=
 BOOTMENU_BEEP=n
 else
-USE_UDEBS_FROM=squeeze
-USE_PROPOSED_UPDATES=1
+USE_UDEBS_FROM=wheezy
+USE_PROPOSED_UPDATES=0
 TRANSSTATUS=translation-status
 BOOTMENU_BEEP=y
 endif
@@ -34,7 +34,7 @@
 		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
 		USE_PROPOSED_UPDATES=$(USE_PROPOSED_UPDATES) \
 		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)
-	
+
 build: build-stamp
 build-stamp:
 	rm -f $@
@@ -47,7 +47,7 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-	
+
 	debian/rules build-images
 
 	install -d $(IMAGEDIR)
@@ -62,6 +62,9 @@
 		-X internals.xml -X partman-doc.sgml
 	dh_compress
 	dh_fixperms
+
+	./build/util/write-built-using
+
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
