=== debian/changelog ===
debian-installer (20130613) wheezy; urgency=low

  [ Samuel Thibault ]
  * Fix boot beep.

  [ Cyril Brulebois ]
  * Enable proposed updates in debian/rules for the wheezy point
    releases.
  * Set DEBIAN_VERSION to just '7'.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 13 Jun 2013 11:56:46 +0200
