## debian-installer 20130613%2bdeb7u1

=== debian/changelog ===
debian-installer (20130613+deb7u1) wheezy; urgency=low

  [ Martin Michlmayr ]
  * Recognize QNAP TS-12x, TS-22x and TS-42x devices.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 09 Oct 2013 20:16:11 +0200
