## debian-installer 20130613%2bdeb7u2

=== build/Makefile ===
--- 
+++ 
@@ -312,6 +312,7 @@
 	# Do this first to make possible warnings more visible.
 	@echo; \
 	if [ -f "$(TRANSSTATUS)" ]; then \
+		if [ "$(USE_PROPOSED_UPDATES)" != 1 ]; then \
 		olddate=$$(grep "^# Generated on:" $(TRANSSTATUS) | sed "s/.*: //"); \
 		if [ "$$olddate" ]; then \
 			if [ $$(( $$(date -u "+%s") - \
@@ -324,6 +325,7 @@
 		else \
 			echo "WARNING: no timestamp found in $(TRANSSTATUS)."; \
 			sleep 15; \
+		fi; \
 		fi; \
 		mkdir -p $(TREE)/usr/share/localechooser; \
 		cp $(TRANSSTATUS) $(TREE)/usr/share/localechooser/translation-status; \
@@ -364,7 +366,3 @@
 	sort -n < $(TEMP)/diskusage.txt > $(TEMP)/diskusage.txt.new && \
 		mv $(TEMP)/diskusage.txt.new $(TEMP)/diskusage.txt
 	grep-dctrl -nsPackage,Version,Architecture '' $(TREE)/var/lib/dpkg/status | \
-		perl -nle '$$p = $$_; $$v = <>; chomp $$v; $$a = <>; chomp $$a; <>; print "$$p $$v $$a"' | \
-		sort > $(TEMP_UDEB_LIST)
-
-	# Clean up after dpkg.
