## debian-installer 20130613+deb7u2

=== debian/changelog ===
debian-installer (20130613+deb7u2) wheezy; urgency=low

  [ Martin Michlmayr ]
  * Add support for QNAP HS-210.  Thanks to Kevin Woldt for the patch.

  [ Cyril Brulebois ]
  * Disable translation-status check when proposed-updates is enabled.
    This file isn't going to be updated during stable's lifecycle, so
    avoid pointless warning and sleeping.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 20 Apr 2014 11:13:37 +0200
