## debian-installer 20130613+deb7u3

=== build/Makefile ===
--- 
+++ 
@@ -65,6 +65,15 @@
 DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 export DEB_HOST_ARCH DEB_HOST_ARCH_OS DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM DEB_HOST_MULTIARCH
 endif
+
+define drop_lang
+	@echo "Dropping languages: $(1)"
+	@set -e; \
+	for FILE in $$(find $(TREE)/var/lib/dpkg -name "*.templates"); do \
+		perl -e 'my $$status=0; my $$drop=shift; while (<>) { if (/^[A-Z]/ || /^$$/) { if (/^(Choices|Description|Indices|Default)-($$drop)/ && ! /^Choices-C:/) { $$status = 0 } else { $$status = 1 } } print if ($$status); }' $(1) < $$FILE > temp; \
+		mv temp $$FILE; \
+	done
+endef
 
 # We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
 # via recursive make calls. ARCH is constant, we don't support
@@ -361,8 +370,3 @@
 			oldcount=$$newcount ; \
 		fi; \
 	done
-	sort -u < $(TEMP)/built-using.txt > $(TEMP)/built-using.txt.new && \
-		mv $(TEMP)/built-using.txt.new $(TEMP)/built-using.txt
-	sort -n < $(TEMP)/diskusage.txt > $(TEMP)/diskusage.txt.new && \
-		mv $(TEMP)/diskusage.txt.new $(TEMP)/diskusage.txt
-	grep-dctrl -nsPackage,Version,Architecture '' $(TREE)/var/lib/dpkg/status | \
